package com.qmth.qrzk.repository.user.service;

import java.util.List;

import com.qmth.qrzk.repository.service.query.QuestionTypeQueryParams;
import com.qmth.qrzk.repository.user.model.CourseQuestionType;
import com.qmth.qrzk.repository.user.model.QuestionType;

public interface IQuestionTypeService {

	public List<QuestionType> findNamesByCourseId(List<Integer> ls);
	
	public List<Integer> findQuestionTypes(int courseId);
	
	public List<QuestionType> queryQuestionTypes(QuestionTypeQueryParams params);
	
	public int queryQuestionTypesCount(QuestionTypeQueryParams params);
	
	public QuestionType queryById(int id);
	
	/**
	 * 通过课程ID获取题型列表
	 * 2014年8月25日
	 * @author wubaizhi
	 * @description 
	 * @param courseId
	 * @return
	 */
	public List<QuestionType> queryByCourseId(int courseId);
	
	public void updateCourseQuestionTypes(int courseId,List<CourseQuestionType> list);
	
	public int addQuestionType(QuestionType questionType);
	
	public int updateQuestionType(QuestionType questionType);
	
	public int addCourseQuestionType(List<CourseQuestionType> list);
	
	public int addCourseLinkQuestionType(CourseQuestionType cq); 
	
	public QuestionType findByName(String name);
	
	public int getCount(CourseQuestionType cq);
}
